
#macro cadre_90()
	union 
	{
		difference  
		{
			box { <0, 0, 0>, <90, 90, 10> } 
			box { <3, 3, -1>, <87, 87, 12> }
			pigment { color rgbt <1,1,0> }
		}
		box
		{ 
			<3, 3, 6>, <87, 87, 8> 
			pigment { color rgbt <0,0,1,0.7> }	
		}
		scale 1/100
	}
#end	


#macro baies_texture_metal(m, n, o)
texture  { 
               pigment { color rgb <m, n, o> }
               finish  { ambient 0.3
                  		diffuse 0.7
                 		brilliance 8.0
                 		specular 0.8
                  		roughness 0.1
                  		reflection 0.15  } 
 		}
#end

#macro cloison(la)  
box{
        <0 , 0 , 0 >,< la , 230 , 5 >           //premier coin et  deuxieme coin
          scale 1/100
          pigment {color rgb < 0, 0 , 1>}       //couleur
  
  }
 #end
    
#macro ouvrant( a, b, o )
	#local e = 5;
	union
	{	prism							// cadre
			{	0, 5,
				10,
				<2.5,b-2.5>, <2.5,2.5>, <a-2.5,2.5>, <a-2.5,b-2.5>, <2.5,b-2.5>
				<e,b-e>, <e,e>, <a-e,e>, <a-e,b-e>, <e,b-e> 
				rotate <90,0,0>
				translate < 0, 0, 0 >
				baies_texture_metal(1,1,1)
			}
		polygon							// vitrage
			{	5
				<e,b-e>, <e,e>, <a-e,e>, <a-e,b-e>, <e,b-e>
				rotate <180,0,0>
				translate <0,0,-e+5>
				pigment { color rgbt <0.7,1,1,0.5> }
			}
		rotate <o,0,0>
	}
translate <0,0.3,-0.125>
#end

#macro baie( a, b, o )
	#local e = 5;
	union
	{	prism							// cadre
		{	0, 10,
			10,
			<0,0>, <a,0>, <a,b>, <0,b>, <0,0>,
			<e,e>, <a-e,e>, <a-e,b-e>, <e,b-e>, <e,e>
			rotate <-90,0,0>
			baies_texture_metal(0.5,0.5,0.5)
		}
		object 
		{ 	ouvrant( a, b, o )
			translate <0,b,-10-(e/2)> }	
			scale 1/105
	}
#end

#macro multi_baie1(o)
union
	{
		object { baie( 90,30,o ) translate <0,0,0> }
		object { baie( 90,30,o) translate <0.90,0,0> }
		object { baie( 90,30,o) translate <1.80,0,0> }
		object { baie( 90,90,o ) translate <0,0.3,0> }
		object { baie( 90,90,o ) translate <0.90,0.3,0> }
		object { baie( 90,90,o ) translate <1.80,0.3,0> }
	}
#end

#macro multi_baie2(o)
union
	{
		object { baie( 90,90 ,o) translate <0,0.3,0> }
		object { baie( 90,90,o) translate <0.90,0.3,0> }
		object { baie( 90,90,o ) translate <1.80,0.3,0> }
	}
#end

#macro arcs( l, e)
	intersection
			{
				difference
					{
					cylinder { <0,0,0>,  <l,0,0>,  0.9 }
					cylinder { <-1,0,0>,  <4,0,0>,  0.9-e }
					}
					plane { <0,-1,0> , 0 }
					baies_texture_metal(0.5,0.5,0.5)
					}
					translate<0,10,6.3>	
#end



#macro tas_baies()
union
{
// facade avant

union
{	object { multi_baie1(0)  translate <0,0,0> }
	object { multi_baie1(0)  translate <0,1.2,0> }
	object { multi_baie1(0) translate <0,2.4,-1.2> }
	object { multi_baie1(0) translate <0,3.6,-1.2> }
	object { multi_baie1(0) translate <0,4.8,-1.2> }
	object { multi_baie1(0) translate <0,6,-1.2> }
	object { multi_baie1(0) translate <0,7.2,-1.2> }
	translate <0,-0.2,0.1>
}

// facade arriere

union
{	// SUR COUR
	object { multi_baie2(0) translate <0,1.2,13.2> }
	object { multi_baie1(0) translate <0,2.4,13.2> }
	object { multi_baie1(0) translate <0,3.6,13.2> }
	object { multi_baie1(0) translate <0,4.8,13.2> }
	object { multi_baie1(0) translate <0,6.0,13.2> }
	// SUR TERRASSE
	object { multi_baie1(0) translate <0,7.2,9.6> }
	object { multi_baie2(0) translate <0,6.0,9.6> }
	translate <0,-0.1,-1.2>
}

// verriere

union
{	object { multi_baie2(0) rotate <90,0,0> translate <0,2.4,13.2> }
	object { multi_baie2(0) rotate <90,0,0> translate <0,2.4,14.1> }
	translate <0,-1.2,-1.5>
}

// plancher verre
union
{	object { multi_baie2(0) rotate <90,0,0> translate <0,0,14.1>}
	object { multi_baie2(0)  rotate <90,0,0> translate <0,0,15> }
	translate <0,-1.2,-2.4>
}

// arcs

union
{	object { arcs(0.025, 0.1) }
	object { arcs(0.025, 0.1) translate <0.9,0,0> }
	object { arcs(0.025, 0.1) translate <1.8,0,0> }
	object { arcs(0.025, 0.1) translate <2.7,0,0> }
	object { arcs(2.7, 0.025) pigment { color rgbt <0.7,1,1,0.5> } }
}

// cloisons
/*
union 
{	object { cloison(90) pigment { color rgbt <1,1,1>}}
	object { cloison(90) pigment { color rgbt <1,1,1>} translate < 0 ,0,1.70> }	
	object { cloison(150) pigment { color rgbt <1,1,1>} translate < 0.30 ,0,0.875> }
	object { cloison(170) pigment { color rgbt <1,1,1>} rotate<0,-90,0>translate <0,0.25,0> }
	translate <0.9, 1.2, 8.5>
}
*/
}
#end
