//////////////////////////////////////////////////////////////////////
// FACADES RANGEMENTS
//////////////////////////////////////////////////////////////////////

///////////////////////////////////
// BLOC CAISSON HAUT
//////////////////////////////////

///////////
// portes
///////////

#macro porte_haut()
		union
		{box { <2,92.5,0> , <58,224.5,2>  } 	
			sphere{ <51,130,2>  5 }	
		}
#end


#macro portes_2_haut()
		union {
		box { <2,92.5,0> , <58,158.5,2>  } 	
			sphere{ <51,151.5,2>  5 }
		box { <2,159.5,0> , <58,224.5,2>  } 	
			sphere{ <51,166.5,2>  5 }
		box { <2,158,4> , <58,160,58>  } //etagere	
}
#end


#macro portes_3_haut()
		union {
		box { <2,92.5,0> , <58,137.0,2>  } 	
			sphere{ <51,130,2>  5 }
		box { <2,138.5,0> , <58,180.5,2>  } 	
			sphere{ <51,145.5,2>  5 }
		box { <2,182.5,0> , <58,224.5,2>  } 	
			sphere{ <51,189.5,2>  5 }	
		box { <2,136.5,4> , <58,138.5,58>  } //etagere	
		box { <2,181,4> , <58,183,58>  } //etagere	
}
#end



///////////
// portes/tagres
///////////


#macro porte_bas_etageres_2_bl_haut()
		union {
		box { <2,92.5,0> , <58,137,2>  } 	
			sphere{ <51,130,2>  5 }
		box { <2,136.5,4> , <58,138.5,58>  } 	
		box { <2,181,4> , <58,183,58>  } 		
}
#end



#macro porte_haut_etageres_2_bl_haut()
		union {
		box { <2,182.5,0> , <58,224.5,2>  } 	
			sphere{ <51,189.5,2>  5 }
		box { <2,136.5,4> , <58,138.5,58>  } 	
		box { <2,181,4> , <58,183,58>  } 		
}
#end


#macro portes_2_haut_etagere_1_bas_bl_haut()
		union {
		box { <2,138,0> , <58,181.5,2>  } 	
			sphere{ <51,145.5,2>  5 }
		box { <2,182.5,0> , <58,224.5,2>  } 	
			sphere{ <51,189.5,2>  5 }
		box { <2,136.5,4> , <58,138.5,58>  } 	
		box { <2,181,4> , <58,183,58>  } 		
}
#end


#macro portes_2_haut_etagere_1_milieu_bl_haut()
		union {
		box { <2,92.5,0> , <58,137,2>  } 	
			sphere{ <51,130,2>  5 }
		box { <2,182.5,0> , <58,224.5,2>  } 	
			sphere{ <51,189.5,2>  5 }
		box { <2,136.5,4> , <58,138.5,58>  } 	
		box { <2,181,4> , <58,183,58>  } 		
}
#end


///////////
// tagres
///////////


#macro etageres_3_haut()
		union {
		box { <2,124,4> , <58,126,58>  } 	
		box { <2,157.5,4> , <58,159.5,58>  } 	
		box { <2,191,4> , <58,193,58>  } 	
}
#end


#macro etageres_2_haut()
		union {
		box { <2,136.5,4> , <58,138.5,58>  } 	
		box { <2,181,4> , <58,183,58>  } 		
}
#end


///////////
// tagres/tirroirs
///////////

#macro etageres_3_haut_tirroirs()
		union {
		box { <2,124,4> , <58,126,58>  } 	
		box { <2,157.5,4> , <58,159.5,58>  } 	
		box { <2,191,4> , <58,193,58>  } 	

		box { <2,92.5,0> , <58,107.75,2>  } 	//tirroir
				sphere{ <27,100.75>  5 }	
		box { <2,108.75,0> , <58,124,2>  } 	//tirroir
				sphere{ <27,118>  5 }

}
#end


///////////
// portes/tirroirs/etageres
///////////




#macro porte_bas_tirroirs()
		union {
		box { <2,125.5,0> , <58,158,2>  } 	
			sphere{ <51,151,2>  5 }

		box { <2,124,4> , <58,126,58>  } 		//etagere
		box { <2,157.5,4> , <58,159.5,58>  } 	//etagere
		box { <2,191,4> , <58,193,58>  } 		//etagere

		box { <2,92.5,0> , <58,107.75,2>  } 	//tirroir
				sphere{ <27,100.75>  5 }	
		box { <2,108.75,0> , <58,124,2>  } 	//tirroir
				sphere{ <27,118>  5 }
}
#end


#macro portes_haut_tirroirs()
		union {
		box { <2,159,0> , <58,191.5,2>  } 	
			sphere{ <51,166,2>  5 }	
		box { <2,192.5,0> , <58,224.5,2>  } 	
			sphere{ <51,199.5,2>  5 }

		box { <2,124,4> , <58,126,58>  } 		//etagere
		box { <2,157.5,4> , <58,159.5,58>  } 	//etagere
		box { <2,191,4> , <58,193.5,58>  } 	//etagere

		box { <2,92.5,0> , <58,107.75,2>  } 	//tirroir
				sphere{ <27,100.75>  5 }	
		box { <2,108.75,0> , <58,124,2>  } 	//tirroir
				sphere{ <27,118>  5 }
}
#end



#macro porte_haut_tirroirs()
		union {
		box { <2,192.5,0> , <58,224.5,2>  } 	
			sphere{ <51,199.5,2>  5 }

		box { <2,124,4> , <58,126,58>  } 		//etagere
		box { <2,157.5,4> , <58,159.5,58>  } 	//etagere
		box { <2,191,4> , <58,193.5,58>  } 	//etagere

		box { <2,92.5,0> , <58,107.75,2>  } 	//tirroir
				sphere{ <27,100.75>  5 }	
		box { <2,108.75,0> , <58,124,2>  } 	//tirroir
				sphere{ <27,118>  5 }
}
#end



///////////////////////////////////
// BLOC CAISSON BAS
//////////////////////////////////

#macro porte_bas()
		union {
		box { <2,10.5,0> , <58,89.5,2>   }	
			sphere{ <51,82.5,2>  5 }	
}
#end


#macro portes_2_bas()
		union {
		box { <2,10.5,0> , <58,49.5,2>   }	
			sphere{ <51,42.0,2>  5 }	
		box { <2,50.5,0> , <58,89.5,2>   }	
			sphere{ <51,82.5,2>  5 }
		box { <2,49,4> , <58,51,58>  } 	
}
#end





#macro etageres_2_bas()
		union {
		box { <2,35.5,4> , <58,37.5,58>  } 	
		box { <2,62.5,4> , <58,64.5,58>  } 		
}
#end



#macro bloc_5_tirroirs_bas()
		union {
		box { <2,10.5,0> , <58,25.5,2>  } 	
			sphere{ <27,18,2>  5 }	
		box { <2,26.5,0> , <58,41.5,2>  } 	
			sphere{ <27,34.5>  5 }	
		box { <2,42.5,0> , <58,57.5,2>  } 	
			sphere{ <27,50.5,2>  5 }	
		box { <2,58.5,0> , <58,73.5,2>  } 	
			sphere{ <27,66.5,2>  5 }	
		box { <2,74.5,0> , <58,89.5,2>  } 	
			sphere{ <27,82.5,2>  5 }	
}
#end


#macro bloc_2_tirroirs_bas_etagere_2()
		union {
		box { <2,10.5,0> , <58,25.5,2>  } 	
		sphere{ <27,18,2>  5 }	
		box { <2,26.5,0> , <58,41.5,2>  } 	
		sphere{ <27,34.5>  5 }	
		box { <2,42.5,4> , <58,44.5,58>  } 
		box { <2,64,4> , <58,66,58>  } 	
}
#end



#macro bloc_3_tirroirs_haut_porte()
		union {
		box { <2,42.5,0> , <58,57.5,2>  } 	
		sphere{ <27,50.5,2>  5 }	
		box { <2,58.5,0> , <58,73.5,2>  } 	
		sphere{ <27,66.5,2>  5 }	
		box { <2,74.5,0> , <58,89.5,2> } 	
		sphere{ <27,82.5,2>  5 }
		box { <2,41.5,0 > , <58,10.5,2>  } //porte
		sphere{ <51,34.5>  5 }	
}
#end


#macro bloc_3_tirroirs_haut_etagere()
		union {
		box { <2,42.5,0> , <58,57.5,2>  } 	
		sphere{ <27,50.5,2>  5 }	
		box { <2,58.5,0> , <58,73.5,2>  } 	
		sphere{ <27,66.5,2>  5 }	
		box { <2,74.5,0> , <58,89.5,2>  } 	
		sphere{ <27,82.5,2>  5 }
		box { <2,40.5,4 > , <58,42.5,58>  } //etagere
}
#end







/////////////
// meuble archi
////////////

#macro colonne_archi()
		union {
		box { <2,112.5,0> , <58,114.5,58>  } 	
		box { <2,135,0> , <58,137,58>  } 	
		box { <2,157.5,0> , <58,159.5,58>  } 	
		box { <2,180,0> , <58,182,58>  }
		box { <2,202.5,0> , <58,204.5,58>  }

		box { <12.4,92,0> , <14.4,225,58>  }	
		box { <26.8,92,0> , <28.8,225,58>  }
		box { <41.2,92,0> , <43.2,225,58>  }

		box { <2,10.5,0> , <58,25.5,2>  } 	
			sphere{ <27,18,2>  5 }	
		box { <2,26.5,0> , <58,41.5,2> } 	
			sphere{ <27,34.5>  5 }	
		box { <2,42.5,0> , <58,57.5,2>  } 	
			sphere{ <27,50.5,2>  5 }	
		box { <2,58.5,0> , <58,73.5,2>  } 	
			sphere{ <27,66.5,2>  5 }	
		box { <2,74.5,0> , <58,89.5,2>  } 	
			sphere{ <27,82.5,2>  5 }	
}
#end

//////////////////////////////////////////////////////////////////////
// TEXTURES
//////////////////////////////////////////////////////////////////////

#macro texture_bois1() 
	texture
	{	pigment
		{	wood
			color_map
			{
				[ 0.4 color rgb <0.3,0.2,0.2> ]
				[ 0.5 color rgb <1,0.2,0.3> ]
				[ 0.6 color rgb <0.3,0.2,0.3> ]
			}
			turbulence 0.8
			rotate <0,0,30>
			scale 1/32
		}
		finish
		{	ambient 0.2
			diffuse 0.7
			specular 0.7
			roughness 0.1
			//reflection 0.2
		}
	}
#end

#macro texture_bois2() 
	texture
	{	pigment
		{	wood
			color_map
			{
				[ 0.4 color rgb <0.9,0.7,0.5> ]
				[ 0.5 color rgb <1,0.5,0.3> ]
				[ 0.6 color rgb <0.8,0.6,0.55> ]
			}
			turbulence 0.8
			rotate <0,0,30>
			scale 1/32
		}
		finish
		{	ambient 0.2
			diffuse 0.7
			specular 0.7
			roughness 0.1
			//reflection 0.2
		}
	}
#end


#macro texture_bois3() 
	texture
	{	pigment
		{	wood
			color_map
			{
				[ 0.4 color rgb <0.55,0.3,0.2> ]
				[ 0.5 color rgb <0.3,0.4,0.2> ]
				[ 0.6 color rgb <0.45,0.3,0.1> ]
			}
			turbulence 0.8
			rotate <0,0,30>
			scale 1/32
		}
		finish
		{	ambient 0.2
			diffuse 0.7
			specular 0.7
			roughness 0.1
			//reflection 0.2
		}
	}
#end


#macro texture_verre()
	pigment
	{	color rgbt <0,0,0.2,0.9> }
	finish
	{	reflection 0.5	}
#end


#macro texture_coussin()
	pigment
	{	color rgb <1,1,1>  }
	finish
	{	ambient 0.2
		diffuse 0.7
		specular 0.7
		roughness 0.5	}
#end


#macro texture_metal()
	pigment
	{	color rgb <0.6,0.6,0.6> }
	finish
	{	reflection 0.6
		ambient 0.4
		diffuse 0.2
		specular 0.5
	}
#end


#macro texture_beton()
	texture
	{
		pigment
		{	granite
			color_map
			{
				[ 0.4 color rgb <0.85,0.85,0.85> ]
				[ 0.5 color rgb <0.9,0.9,0.9> ]
				[ 0.6 color rgb <0.8,0.8,0.8> ]
			}
			turbulence 1
			rotate <0,0,0>
			scale 1/2
			}
		finish
		{	ambient 0.2
			diffuse 0.2
			specular 0.7
			roughness 0.1
			reflection 0.1
		}
	} 
#end
	



#macro texture_enduit_blanc()
	pigment
	{	color rgb <1,1,1>  }
	finish
	{	ambient 0.2
		diffuse 0.7
		specular 0.7
		roughness 0.5	}
#end




#macro texture_enduit_mouchete() 
	texture
	{	pigment
		{	granite
			color_map
			{
				[ 0.4 color rgb <1,1,1> ]
				[ 0.5 color rgb <3/4,3/4,3/4> ]
				[ 0.6 color rgb <3/4,3/4,3/4> ]
			}
			turbulence 0.8
			rotate <0,0,30>
			scale 1/32
		}
		finish
		{	ambient 0.2
			diffuse 0.7
			specular 0.7
			roughness 0.01
			reflection 0.2
		}
	}
#end

#macro texture_rouge()
	pigment
	{	color rgb <1,0,0>  }
	finish
	{	reflection 0.1	}
	
#end

#macro texture_vert()
	pigment
	{	color rgb <1/8,1/4,0>  }
	finish
	{	reflection 0.1	}
	
#end

#macro texture_noir_satin()
	pigment
	{	color rgb <0,0,0>  }
	finish
	{	reflection 0.4	}
	
#end

#macro texture_miroir()
	pigment
	{	color rgb <0.7,0.7,0.7> }
	finish
	{	reflection 2
		ambient 0.4
		diffuse 0.2
		specular 0.5
	}
#end


//////////////////////////////////////////////////////////////////////
// OBJETS
//////////////////////////////////////////////////////////////////////



#macro mur_mitoyen1()
// extrude a closed 2-D shape along an axis
prism {
  linear_sweep // or conic_sweep for tapering to a point
  //cubic_spline // linear_spline | quadratic_spline | cubic_spline
  0,        // height 1
  -30,        // height 2
  15,          // 15 + 5+5+5
  // the <u,v> points
  	< 0, 0>,//O
  	< 0,120>,//A
  	< -180,120>,//B
  	<-180,480>,//C
  	< 0,  480>,//D
  	< 0,1050>,//E 
	<330,1050>,//F
	<330,1110>,//G
	<210,1110>,//H
	<210,1320>,//I
	<1320,1320>,//J
	<1320,120>,//K
	<780,120>,//L
	<780,0>,//M
	< 0, 0>

	
  // [open]
  // [sturm]
 //scale 1/100
 rotate <-90,0,0>
 translate <0,0,-300>

texture_beton()

}
#end



#macro mur_mitoyen()

//	mur_mitoyen1()										
	object {mur_mitoyen1() translate <0,0,330>}

#end


#macro ensemble_caissons_niv1()
// extrude a closed 2-D shape along an axis
prism {
  linear_sweep // or conic_sweep for tapering to a point
  //cubic_spline // linear_spline | quadratic_spline | cubic_spline
  0,        // height 1
  -59,        // height 2
  30,          // 15 + 5+5+5
  // the <u,v> points
  	< 0, 0>,//O
  	< 0,120>,//A
  	< -180,120>,//B
  	<-180,480>,//C
  	< 0,  480>,//D
  	< 0,1050>,//E 
	<330,1050>,//F
	<330,1110>,//G
	<210,1110>,//H
	<210,1320>,//I
	<1320,1320>,//J
	<1320,120>,//K
	<780,120>,//L
	<780,0>,//M
	< 0, 0>

	,<1080, 1310>, <1290, 1310>, <1290, 1050>, <1080, 1050>, <1080, 1310>
	,<1000,960>, <1290,960>, <1290,880>, <1000,880>, <1000,960>
	,<1170,810>,<1290,810>,<1290,690>,<1170,690>,<1170,810>
	
  // [open]
  // [sturm]
 //scale 1/100
pigment {color rgbt<1,1,1,0.8>}

}
#end


#macro cylindres()

	cylinder {<1185,-30,960>,<1185,-30,1410>,30 pigment {color rgbt<1,1,1,0>}}
	cylinder {<270,-30,1170>,<270,-30,1410>,30 pigment {color rgbt<1,1,1,0>}}
	

#end

#macro objet_final()
union
	{
	cylindres()
	ensemble_caissons_niv1()
	
	rotate <-90,0,0>
	}
#end


// CHEMINEE
#macro foyer ()
prism {
  linear_sweep // or conic_sweep for tapering to a point
  //cubic_spline // linear_spline | quadratic_spline | cubic_spline
  0,        // height 1
  -60,        // height 2
  10,          // number of points
  // the <u,v> points
  < 0, 0>, < -290, 0>, < -290, -80>, < 0,  -80>, <0, 0>, 
  < -10,  -10>, <-280,-10>, <-280, -70>, <-10, -70>, <-10, -10>
  // [open]
  // [sturm]
rotate <-270,0,0>
translate <10,0,60>
pigment { color rgb <1,1,1> }
}
#end

//box { <1010,870,-20>, <1300,880,60> pigment { color rgb <1,1,1>*1/4 } }  // ASSISE

//cylinder {<1050,890,-10>,<1110,890,-5>,10 texture_bois3 ()}	//BUCHE

#macro caisson_buches ()
union {
prism {
  linear_sweep // or conic_sweep for tapering to a point
  //cubic_spline // linear_spline | quadratic_spline | cubic_spline
  0,        // height 1
  -60,        // height 2
  10,          // number of points
  // the <u,v> points
  < 0, 0>, < -290, 0>, < -290, -30>, < 0,  -30>, <0, 0>, 
  < -10,  0>, <-280,0>, <-280, -25>, <-10, -25>, <-10, 0>
  // [open]
  // [sturm]
rotate <-270,0,0>
translate <10,0,60>
pigment { color rgb <1,1,1>*1/4 }
}
box { <1010,870,-20>, <1300,880,60> pigment { color rgb <1,1,1>*1/4 } }  // ASSISE
cylinder {<1050,890,-10>,<1110,890,-5>,10 texture_bois3 ()}	 //BUCHE
}
#end




#macro garage ()
	union
	{
	box { <760,120,0>, <1310,330,60> texture_beton() }
	box { <1200,140,-10>, <1260,210,60> pigment { color rgb <1,1,1> }}
	box { <1260,210,-10>, <1290,240,60> pigment { color rgb <1,1,1> }}
	box { <1240,240,-10>, <1260,260,60> pigment { color rgb <1,1,1> }}
	box { <1190,330,0>, <1310,570,60> texture_beton() }
	}
#end


/*
#macro texte ("mot")
	text
	{
	ttf
	"police.ttf"
	"mot"
	1/4
	<0,0,0>
	ma_texture (<1,0,0>, 0.5)
	scale <1,-1,1>
	rotate <-90,0,0>
	}
#end
texte ( "architecte")

text
{
  ttf             // font type (only TrueType format for now)
  "police.ttf",  // Microsoft Windows-format TrueType font file name
  "architecte",      // the string to create
  2,              // the extrusion depth
  0               // inter-character spacing
}
*/

#macro caisson_test()
// extrude a closed 2-D shape along an axis
prism {
  linear_sweep // or conic_sweep for tapering to a point
  //cubic_spline // linear_spline | quadratic_spline | cubic_spline
  0,        // height 1
  -60,        // height 2
  15,          // number of points
  // the <u,v> points
  < 0, 0>, < -58,  0>, < -58, -230>, < 0,  -230>, <0,  0>, 
  <-2,  -10>, <-56,-10>, <-56, -90>, <-2,  -90>, <-2, -10>,
  <-2,  -92>, <-56,-92>, <-56, -225>, <-2,  -225>, <-2, -92>
  // [open]
  // [sturm]
rotate <-270,0,0>
translate <70,0,60>
pigment { color rgb <1,0,0> }
scale 0.98
}

#end

#macro plan_de_travail()
// extrude a closed 2-D shape along an axis
prism {
  linear_sweep // or conic_sweep for tapering to a point
  //cubic_spline // linear_spline | quadratic_spline | cubic_spline
  0,        // height 1
  -60,        // height 2
  10,          // number of points
  // the <u,v> points
  < 0, 0>, < -58,  0>, < -58, -92>, < 0,  -92>, <0,  0>, 
  <-2,  -10>, <-56,-10>, <-56, -90>, <-2,  -90>, <-2, -10>
  // [open]
  // [sturm]
rotate <-270,0,0>
translate <60,0,60>
pigment { color rgb <1,0,0> }
scale 0.98
}
#end

#macro element_haut()
// extrude a closed 2-D shape along an axis
prism {
  linear_sweep // or conic_sweep for tapering to a point
  //cubic_spline // linear_spline | quadratic_spline | cubic_spline
  0,        // height 1
  -60,        // height 2
  10,          // number of points
  // the <u,v> points
  < 0, 0>, < -58,  0>, < -58, -48>, < 0,  -48>, <0,  0>, 
  <-2,  -2>, <-56,-2>, <-56, -46>, <-2,  -46>, <-2, -2>
  // [open]
  // [sturm]
rotate <-270,0,0>
translate <60,182,60>
pigment { color rgb <1,0,0> }
scale 0.98
}
#end

#macro element_cuisine ()
	union
	{
	plan_de_travail()
	element_haut()
	}
#end

#macro lespot( pos, cible, rayon, taille_boule, couleur )
	light_source
	{	<0,0,0>				// par defaut
		color rgb couleur
		spotlight			
		point_at cible
  		radius rayon		// rayon interne			
		tightness 1			// passage lumiere -> ombre
		falloff rayon+10	// rayon externe
		looks_like 
		{	sphere { <0,0,0>, taille_boule }
			texture
			{	pigment { color rgb couleur }
				finish { ambient 1 } 	// boule blanche
			} 
		}
		translate pos	// ici on gere la position
	}
#end

#macro eclairage_ponctuel()
	object {lespot( <1080,1310,0>,<1080, 1050,0> , 2000, 1, <1,1,1>)}		
	object {lespot( <1290, 1310,0>,<1290, 1050,0> , 2000, 1, <1,1,1>)}
	object {lespot( <1020,960,0>,<1020,870,0> , 2000, 1, <1,1,1>)}
	object {lespot( <1290,960,0>,<1290,870,0> , 2000, 1, <1,1,1>)}
	object {lespot( <1170,810,0>,<1170,690,0> , 2000, 1, <1,1,1>)}
	object {lespot( <1290,810,0>,<1290,690,0> , 2000, 1, <1,1,1>)}
#end


#macro niveau_2()

eclairage_ponctuel()
objet_final()
object { caisson_test() translate <0,0,0>}			//cave
object { porte_bas() texture_metal()translate <10,0,0>}			//cave
object { porte_haut() texture_metal() translate <10,0,0>}			//cave
object { caisson_test() translate <60,0,0>}			//cave
object { porte_bas() texture_metal()translate <70,0,0>}			//cave
object { porte_haut() texture_metal()translate <70,0,0>}			//cave
object { caisson_test() translate <120,0,0>}		//cave
object { porte_bas() texture_metal()translate <130,0,0>}		//cave
object { porte_haut() texture_metal()translate <130,0,0>}		//cave
object { caisson_test() translate <180,0,0>}		//cave
object { porte_bas() texture_metal()translate <190,0,0>}		//cave
object { porte_haut() texture_metal()translate <190,0,0>}		//cave
object { caisson_test() translate <240,0,0>}		//cave
object { porte_bas() texture_metal()translate <250,0,0>}		//cave
object { porte_haut() texture_metal()translate <250,0,0>}		//cave
object { caisson_test() translate <300,0,0>}		//cave
object { porte_bas() texture_metal()translate <310,0,0>}		//cave
object { porte_haut() texture_metal()translate <310,0,0>}		//cave

object { caisson_test() translate <0,240,0>}		// 1er niv agence
object { porte_bas() texture_verre()translate <10,240,0>}		// 1er niv agence
object { porte_haut() texture_verre()translate <10,240,0>}		// 1er niv agence
object { caisson_test() translate <60,240,0>}		// 1er niv agence
object { porte_bas() texture_verre()translate <70,240,0>}		// 1er niv agence
object { etageres_3_haut() texture_verre()translate <70,240,0>}		// 1er niv agence
object { caisson_test() translate <120,240,0>}		// 1er niv agence
object { porte_bas() texture_verre()translate <130,240,0>}		// 1er niv agence
object { portes_2_haut_etagere_1_milieu_bl_haut() texture_verre()translate <130,240,0>}		// 1er niv agence
object { caisson_test() translate <180,240,0>}		// 1er niv agence
object { porte_bas() texture_verre()translate <190,240,0>}		// 1er niv agence
object { porte_bas_etageres_2_bl_haut() texture_verre()translate <190,240,0>}		// 1er niv agence
object { caisson_test() translate <240,240,0>}		// 1er niv agence
object { bloc_2_tirroirs_bas_etagere_2() texture_verre()translate <250,240,0>}		// 1er niv agence
object { porte_haut() texture_verre()translate <250,240,0>}		// 1er niv agence
object { caisson_test() translate <300,240,0>}		// 1er niv agence
object { porte_bas() texture_verre()translate <310,240,0>}		// 1er niv agence
object { porte_bas_etageres_2_bl_haut() texture_verre()translate <310,240,0>}		// 1er niv agence

object { caisson_test() translate <0,480,0>}		// locaux tech agence
object { porte_bas() texture_metal() translate <10,480,0>}		// locaux tech agence
object { etageres_2_haut() texture_metal() translate <10,480,0>}		// locaux tech agence
object { caisson_test() translate <240,480,0>}		// locaux tech agence
object { portes_2_bas() texture_metal() translate <250,480,0>}		// locaux tech agence
object { etageres_3_haut_tirroirs() texture_metal() translate <250,480,0>}		// locaux tech agence
object { caisson_test() translate <300,480,0>}		// locaux tech agence
object { etageres_2_bas() texture_metal()translate <310,480,0>}		// locaux tech agence
object { portes_2_haut_etagere_1_bas_bl_haut() texture_metal() translate <310,480,0>}		// locaux tech agence

object { element_cuisine () translate <0,720,0>}	// cuisine
object { bloc_3_tirroirs_haut_porte () texture_rouge() translate <10,720,0>}	// cuisine
object { element_cuisine () translate <60,720,0>}	// cuisine
object { bloc_3_tirroirs_haut_etagere () texture_rouge() translate <70,720,0>}	// cuisine
object { element_cuisine () translate <120,720,0>}	// cuisine
object { bloc_3_tirroirs_haut_porte () texture_rouge() translate <130,720,0>}	// cuisine
object { caisson_test() translate <180,720,0>}		// cuisine
object { porte_bas() texture_rouge() translate <190,720,0>}		// cuisine
object { porte_haut() texture_rouge() translate <190,720,0>}		// cuisine
object { caisson_test() translate <240,720,0>}		// cuisine
object { bloc_5_tirroirs_bas() texture_rouge() translate <250,720,0>}		// cuisine
object { porte_haut_etageres_2_bl_haut() texture_rouge() translate <250,720,0>}		// cuisine
object { caisson_test() translate <300,720,0>}		// cuisine
object { porte_bas() texture_rouge() translate <310,720,0>}		// cuisine
object { portes_2_haut() texture_rouge() translate <310,720,0>}		// cuisine

object { caisson_test() translate <760,360,0>}		// 2eme niv agence
object { colonne_archi() texture_metal() translate <770,360,0>}		// 2eme niv agence
object { caisson_test() translate <820,360,0>}		// 2eme niv agence
object { porte_bas() texture_verre()translate <830,360,0>}		// 2eme niv agence
object { porte_bas_etageres_2_bl_haut() texture_verre()translate <830,360,0>}		// 2eme niv agence
object { caisson_test() translate <880,360,0>}		// 2eme niv agence
object { porte_bas() texture_verre()translate <890,360,0>}		// 2eme niv agence
object { etageres_3_haut_tirroirs() texture_verre()translate <890,360,0>}		// 2eme niv agence
object { caisson_test() translate <940,360,0>}		// 2eme niv agence
object { porte_bas() texture_verre()translate <950,360,0>}		// 2eme niv agence
object { porte_bas_tirroirs() texture_verre()translate <950,360,0>}		// 2eme niv agence
object { caisson_test() translate <1000,360,0>}		// 2eme niv agence
object { porte_bas() texture_verre()translate <1010,360,0>}		// 2eme niv agence
object { porte_haut_tirroirs() texture_verre()translate <1010,360,0>}		// 2eme niv agence
object { caisson_test() translate <1060,360,0>}		// 2eme niv agence
object { porte_bas() texture_verre()translate <1070,360,0>}		// 2eme niv agence
object { porte_bas_etageres_2_bl_haut() texture_verre()translate <1070,360,0>}		// 2eme niv agence
object { caisson_test() translate <1120,360,0>}		// 2eme niv agence
object { porte_bas() texture_verre() translate <1130,360,0>}		// 2eme niv agence
object { portes_2_haut_etagere_1_bas_bl_haut() texture_verre()translate <1130,360,0>}		// 2eme niv agence

object { caisson_test() translate <760,600,0>}		// 1ere chambre + sdb
object { porte_bas() texture_bois1() translate <770,600,0>}		// 1ere chambre + sdb
object { porte_haut() texture_bois1() translate <770,600,0>}		// 1ere chambre + sdb
object { caisson_test() translate <820,600,0>}		// 1ere chambre + sdb
object { porte_bas() texture_bois1() translate <830,600,0>}		// 1ere chambre + sdb
object { porte_haut() texture_bois1() translate <830,600,0>}		// 1ere chambre + sdb
object { caisson_test() translate <880,600,0>}		// 1ere chambre + sdb
object { portes_2_bas() texture_bois1() translate <890,600,0>}		// 1ere chambre + sdb
object { porte_haut() texture_bois1() translate <890,600,0>}		// 1ere chambre + sdb
object { caisson_test() translate <940,600,0>}		// 1ere chambre + sdb
object { portes_2_bas() texture_bois1() translate <950,600,0>}		// 1ere chambre + sdb
object { porte_haut() texture_bois1() translate <950,600,0>}		// 1ere chambre + sdb
object { caisson_test() translate <1000,600,0>}		// 1ere chambre + sdb
object { porte_bas() texture_bois1() translate <1010,600,0>}		// 1ere chambre + sdb
object { porte_haut() texture_bois1() translate <1010,600,0>}		// 1ere chambre + sdb
object { caisson_test() translate <1060,600,0>}		// 1ere chambre + sdb
object { porte_bas() texture_bois1() translate <1070,600,0>}		// 1ere chambre + sdb
object { porte_haut() texture_bois1() translate <1070,600,0>}		// 1ere chambre + sdb
object { plan_de_travail() translate <1120,600,0>}	// 1ere chambre + sdb
object { portes_2_bas() texture_bois3() translate <1130,600,0>}	// 1ere chambre + sdb
object { plan_de_travail() translate <1180,600,0>}	// 1ere chambre + sdb
object { portes_2_bas() texture_bois3() translate <1190,600,0>}	// 1ere chambre + sdb
object { plan_de_travail() translate <1240,600,0>}	// 1ere chambre + sdb
object { portes_2_bas() texture_bois3() translate <1250,600,0>}	// 1ere chambre + sdb

object { caisson_test()  translate <760,840,0>}		// salon
object { portes_2_bas() texture_enduit_mouchete()translate <770,840,0>}		// salon
object { portes_haut_tirroirs() texture_enduit_mouchete()translate <770,840,0>}		// salon
object { caisson_test() translate <820,840,0>}		// salon
object { portes_2_bas() texture_enduit_mouchete()translate <830,840,0>}		// salon
object { porte_haut_etageres_2_bl_haut() texture_enduit_mouchete()translate <830,840,0>}		// salon
object { caisson_test() translate <880,840,0>}		// salon
object { porte_bas() texture_enduit_mouchete()translate <890,840,0>}		// salon
object { etageres_3_haut() texture_enduit_mouchete()translate <890,840,0>}		// salon
object { caisson_test() translate <940,840,0>}		// salon
object { portes_2_bas() texture_enduit_mouchete()translate <950,840,0>}		// salon
object { etageres_3_haut() texture_enduit_mouchete()translate <950,840,0>}		// salon

object { caisson_test()  translate <760,1080,0>}		// 2eme chambre
object { porte_bas() texture_bois2() translate <770,1080,0>}		// 2eme chambre
object { portes_3_haut() texture_bois2() translate <770,1080,0>}		// 2eme chambre
object { caisson_test() translate <820,1080,0>}		// 2eme chambre
object { porte_bas() texture_bois2() translate <830,1080,0>}		// 2eme chambre
object { portes_2_haut() texture_bois2() translate <830,1080,0>}		// 2eme chambre
object { caisson_test() translate <880,1080,0>}		// 2eme chambre
object { portes_2_bas() texture_bois2() translate <890,1080,0>}		// 2eme chambre
object { portes_2_haut() texture_bois2() translate <890,1080,0>}		// 2eme chambre
object { caisson_test() translate <940,1080,0>}		// 2eme chambre
object { porte_bas() texture_bois2() translate <950,1080,0>}		// 2eme chambre
object { porte_haut_etageres_2_bl_haut() texture_bois2() translate <950,1080,0>}		// 2eme chambre
object { caisson_test() translate <1000,1080,0>}	// 2eme chambre
object { porte_bas() texture_bois2() translate <1010,1080,0>}	// 2eme chambre
object { porte_haut_etageres_2_bl_haut() texture_bois2() translate <1010,1080,0>}	// 2eme chambre


box { <370,0,0>, <469,1310,60> scale 0.99 texture_enduit_blanc() }	// ESCALIER
box { <471,0,0>, <529,1310,60> scale 0.99 texture_enduit_blanc()}
box { <531,0,0>, <589,1310,60> scale 0.99 texture_enduit_blanc()}
box { <591,0,0>, <649,1310,60> scale 0.99 texture_enduit_blanc()}
box { <651,0,0>, <760,1310,60> scale 0.99 texture_enduit_blanc()}


#end

#macro caissons()
union {
	mur_mitoyen () 

	object { foyer() translate <1290,880,0>} 
	object { caisson_buches() translate <1290,840,0>} 

	garage () 

	//texte ( "architecte") 

	niveau_2() 
	scale 1/100
}

#end








