// ENSAM 2005
// Workshop Infographie du 14/11 au 18/11
// Maison zHome
// macros planchers


#declare hauteur_plancher = 1;
#declare distance_x = 2;
         
#macro IPE (  distance_x, hauteur_plancher )
        object {box { <0, -0.300, -1.65> <0.075, -0.100, 1.95> }          //<-x,-y,-z> <+x,+y,+z>
        translate < distance_x,hauteur_plancher, 0>                                                     
        acier() 
        }
#end       
        

#declare x_ = 1;
#declare y_ = 2;
#declare z_ = 3;
        
#macro IPN_plancher_arrier (  x_ , y_ , z_  )
        object {box { <4.20, 1.20, -.0375 > <7.70, 1.10, 0.0375 > } 
        acier()
        translate < x_ , y_ , z_ >
        }
#end 


#declare x1 = 1;
#declare y1 = 2;
#declare z1 = 3;

#macro IPN_plancher_avant (  x1 , y1 , z1  )
        object {box { <-5.30, 4.80, -.0375 > <0.00, 4.70, 0.0375 > } 
        acier()
        translate < x1 , y1 , z1 >
        }
#end                

///////////////////////////////////////////////////////////////////////////////////////////////////////                            

#macro dalle()
        union
        {object
        {
                prism {                                
                linear_sweep  
                linear_spline  
                -1.80,        
                0.90,       
                14,      
                <-6.3,  0  >, <   0,    0>, <   0, -1.2>, < 7.8, -1.2>, < 7.8,    0>, < 9.4,    0>, 
                < 9.4, 12.0>, < 9.6, 12.0>, < 9.6, -0.2>, < 8.0, -0.2>, < 8.0, -1.4>, <-0.2, -1.4>, <-0.2, -0.2>, <-6.3, -0.2>  
                _granit()
                rotate <-90, 0, 0>}
                }
        object {box { <-5.40, 0, -4.00> <-6.40, -0.20, 4.00> } _granit()}
        
        translate <0,0.0251,0>
        }
#end
    
    
#macro plancher_arrier_1 ()
        union
        {       IPE (4.50,1.2) 
                IPE (6.50,1.2)  
                IPN_plancher_arrier (0,0,0)
                IPN_plancher_arrier (0,0,-0.90)
                IPN_plancher_arrier (0,0, 0.90)
                IPN_plancher_arrier (0,0, 1.80) 
                object { box { <4.20, 1.20 , -0.90> <7.70, 1.225, 1.80> } _wood() }
        }
#end



#macro plancher_arrier_2 ()
        object {plancher_arrier_1 ()translate <0, 2.40, 0>}
#end 

 
 
#macro plancher_arrier_3 ()
        union
        {        
        object {plancher_arrier_1 ()translate <0, 4.80, 0>}
        object {box { <7.50, 6.00, -0.90> <7.70, 5.70, 1.80> } _wood()}
        }
#end


#macro plancher_arrier_4 ()
         object { box { <4.20, 8.4250 , -0.90> <7.70, 8.10, 1.80> } _granit()}
#end    


#macro plancher_avant_1 ()
         union
         {
         object { box { <-4.20, 2.40 , -0.90> <0, 2.1, 1.80> }_granit()}
         object { box { <-4.20, 2.425 , -0.90> <0, 2.40, 1.80> }_wood()}
         }
#end 


#macro plancher_avant_2 ()
        union
        {       IPE (-0.30,4.80) 
                IPE (-2.30,4.80)  
                IPN_plancher_avant (0,0,0)
                IPN_plancher_avant (0,0,-0.90)
                IPN_plancher_avant (0,0, 0.90)
                IPN_plancher_avant (0,0, 1.80) 
                object { box { <-3.60, 4.825 , -0.90> < 0.00, 4.80, 1.80> } _wood() }
                object { box { <-5.30, 4.825 , -0.90> <-3.60, 4.50, 1.80> } _wood() }
        }                                                                   
#end 


#macro plancher_avant_3 ()
        union
        {       IPE (-0.30,7.20) 
                IPE (-2.30,7.20) 
                IPN_plancher_avant (0,0,0)
                IPN_plancher_avant (0,0,-0.90)
                IPN_plancher_avant (0,0, 0.90)
                IPN_plancher_avant (0,0, 1.80) 
                object { box { <-5.30, 4.825 , -0.90> < 0.00, 4.80, 1.80> }_wood()}
                object { box { <-5.30, 4.825 , -0.90> <-5.10, 4.50, 1.80> }_wood()}
                translate <0, 2.40, 0>
        }
#end     

#declare x2 = 1;
#declare y2 = 2;
#declare z2 = 3;

#macro IPN_plancher_avant_2 (x2 , y2 , z2)
        object {box { <-3.60, 9.60, -.0375 > <0.00, 9.50, 0.0375 > } 
        acier()
        translate < x2 , y2 , z2 >
        }
#end 


#macro plancher_avant_4 ()
        union
        {       IPE (-0.30,7.20) 
                IPE (-2.30,7.20)
                IPE (-4.30,7.20) 
                IPN_plancher_avant_2 (0,0,0)
                IPN_plancher_avant_2 (0,0,-0.90)
                IPN_plancher_avant_2 (0,0, 0.90)
                IPN_plancher_avant_2 (0,0, 1.80) 
                object { box { <-3.60, 9.625 , -0.90> < 0.00, 9.60, 1.80> }_wood()}
                object { box { <-3.60, 10.125, -1.50> <-3.00, 9.60, 1.80> }_wood()}
                
        }
#end
   
///////////////////////////////////////////////////////////////////////////////////////////////

#macro toiture ()
	union
	{
		union
		{
		box { <-6.60,-1.50,-0.90> , <-6.30, 0.30, 1.80> }
		box { <-6.60, 0.00,-0.90> , < 0.00, 0.30, 1.80> }
		translate <1.20,12,0>
		}
		
		union
		{
		box { <1.80,0,-0.90> , <3.30, 0.30, 1.80> }
		box { <3.00,-1.50,-0.90> , <3.30, 0.30, 1.80> }
		translate <1.20,12,0>
		}
	_granit() 
	}
	
#end  




#macro planchers ()
        union
        {       object {plancher_avant_1 ()}
                object {plancher_avant_2 ()}
                object {plancher_avant_3 ()}
                object {plancher_avant_4 ()}
                object {plancher_arrier_1 ()}
                object {plancher_arrier_2 ()}
                object {plancher_arrier_3 ()}
                object {plancher_arrier_4 ()}
                object {toiture ()}
                object {dalle ()}
        }
#end 


///////////////////////////////////////////////////////
//SPOT
////////////////////////////////////////////////////////  

#macro spot( loc )
	light_source
	{	loc
		color rgb <1,1,1>
		spotlight
		point_at loc + <0,0,-1>
  		radius 15				// hotspot (inner, in degrees)
		tightness 10            // tightness of falloff (1...100) lower is softer, higher is tighter
		falloff 15               // intensity falloff radius (outer, in degrees)
		looks_like 
		{	sphere { <0,0,0>, 0.02 }
			texture
			{	pigment { color rgb <1,1,1> }
				finish { ambient 1 } 
			} 
		}
	}
#end
   
   
   
////////////////////////////////////////////////////////////
//TEXTURE//
///////////////////////////////////////////////////////////

// macros textures
#macro _granit()
#if (RENDU_FINAL)
	texture
	{	pigment 
		{	granite
			color_map
			{	[ 0.00 color rgbt <1,1,1> ]
				[ 0.99 color rgbt <0.5,0.5,0.5> ]
			}
			scale 1/8
			turbulence 0.1
		}
		normal 
		{	granite
			scale 1/8
			bump_size 1
		}
		finish
		{	ambient 0.3
			diffuse 0.5
			specular 0.7
			roughness 0.01
			//reflection 0.5
		} 
	}
#else
	pigment { color rgb <1,1,1> }
#end
#end
 


#macro _wood()
#if (RENDU_FINAL)
	texture
	{	pigment 
		{	marble   


		        color_map
		        {
		                [ 0.8 color rgb <1.0, 0.72, 0.25> ]
		                [ 0.8 color rgb <0.5, 0.5, 0.06> ]
		                [ 1.0 color rgb <0.4, 0.4, 0.03> ]
		        }
	
			rotate <0,90,0>
			scale 1/16
			turbulence 0.0
		}
		finish
		{	ambient 0.3
			diffuse 0.8
			specular 0.7
			roughness 0.01
			//reflection 0.5
		} 
	}
#else
	pigment { color rgb <1,1,1> }
#end
#end
 


#macro verre()
#if (RENDU_FINAL)
	texture
	{	pigment { color rgbt <0.5,1,1,0.5> }
		finish
		{	ambient 0.3
			diffuse 0.5
			specular 0.7
			roughness 0.01
			reflection 0.5
		} 
	}
#else
	pigment { color rgb <1,1,1> }
#end
#end

//////////////////////////////////////////////////////////////////////////////////////

#macro acier()
#if (RENDU_FINAL)
	texture
	{	pigment 
		{	color rgbt <1,1,1>
		}
		finish
		{	ambient 0.3
			diffuse 0.5
			specular 0.7
			roughness 0.01
			metallic  0.7
			reflection 0.0
		} 
	}
#else
	pigment { color rgb <1,1,1> }
#end
#end 
               
               
//////////////////////////////////////////////////////////////////////////////////////
// macros escalier 
/////////////////////////////////////////////////////////////////////////////////////


#macro volee( p, l, g, e )
	#local h = 1.20/7;
	union
	{	prism
		{	0, -l, 33, 
			<0, 	0>, 
			<p+0*g, 0*h>, <p+0*g, 1*h>,
			<p+1*g, 1*h>, <p+1*g, 2*h>,
			<p+2*g, 2*h>, <p+2*g, 3*h>,
			<p+3*g, 3*h>, <p+3*g, 4*h>,
			<p+4*g, 4*h>, <p+4*g, 5*h>,
			<p+5*g, 5*h>, <p+5*g, 6*h>,
			<p+6*g, 6*h>, <p+6*g, 7*h>,
			<2*p+6*g, 7*h>, <2*p+6*g, 7*h-e>,
			<p+6*g+e, 7*h-e>, <p+6*g+e, 6*h-e>,
			<p+5*g+e, 6*h-e>, <p+5*g+e, 5*h-e>,
			<p+4*g+e, 5*h-e>, <p+4*g+e, 4*h-e>,
			<p+3*g+e, 4*h-e>, <p+3*g+e, 3*h-e>,
			<p+2*g+e, 3*h-e>, <p+2*g+e, 2*h-e>,
			<p+1*g+e, 2*h-e>, <p+1*g+e, 1*h-e>,
			<p+0*g+e, 1*h-e>, <p+0*g+e, 0*h-e>,
			<0, 	0-e>, <0, 	0>
		}
		#if (RENDU_FINAL)
			spot( <p/2, -l/2, -e*1.2> )
			spot( <p+6*g+p/2, -l/2, 7*h-e*1.01> )
		#end
		rotate <-90,0,0>
	}
#end
#macro IPN_escalier ( p, l, g, e )
	#local h = 1.20/7;
	union
	{	prism
		{	0, -l, 33, 
			<0, 	0>, 
			<p+0*g, 0*h>, <p+0*g, 1*h>,
			<p+1*g, 1*h>, <p+1*g, 2*h>,
			<p+2*g, 2*h>, <p+2*g, 3*h>,
			<p+3*g, 3*h>, <p+3*g, 4*h>,
			<p+4*g, 4*h>, <p+4*g, 5*h>,
			<p+5*g, 5*h>, <p+5*g, 6*h>,
			<p+6*g, 6*h>, <p+6*g, 7*h>,
		  	<2*p+6*g, 7*h>, <2*p+6*g, 7*h-e>,
			<p+6*g+e, 7*h-e>, <p+6*g+e, 6*h-e>,
			<p+5*g+e, 6*h-e>, <p+5*g+e, 5*h-e>,
			<p+4*g+e, 5*h-e>, <p+4*g+e, 4*h-e>,
			<p+3*g+e, 4*h-e>, <p+3*g+e, 3*h-e>,
			<p+2*g+e, 3*h-e>, <p+2*g+e, 2*h-e>,
			<p+1*g+e, 2*h-e>, <p+1*g+e, 1*h-e>,
			<p+0*g+e, 1*h-e>, <p+0*g+e, 0*h-e>,
			<0, 	0-e>, <0, 	0>
		}
		acier ()
		rotate <-90,0,0>
	}
#end

#macro garde_corps( h )
	object
	{	polygon { 5, <-0, -1.2>, <1.80, -1.2>, <1.80, h>, <0, h>, <0,0> }
		translate <1.20,0,0>
		verre()
	}
#end






                                                                                                          
#macro unite ()
        union
        {      
                        union
		{ 
			object { volee( 1.20, 0.90, 0.30, 0.025 ) _wood()}                                                    //yellow                      
			object { volee( 1.20, 0.90, 0.30, 0.025 ) _wood() translate <0,0,0.90>}                               //yellow
			object { volee( 1.20, 0.90, 0.30, 0.025 ) _wood() translate <-4.20,-1.20,0> rotate <0,180,0>}         //blue
			translate <0,0.025,0>    
			
		}
		union
		{	object { IPN_escalier( 1.20, 0.05, 0.30, 0.10 ) translate <0,0,0-0.025> }
			object { IPN_escalier( 1.20, 0.05, 0.30, 0.10 ) translate <0,0,0.90-0.025> }
			object { IPN_escalier( 1.20, 0.05, 0.30, 0.10 ) translate <0,0,1.80-0.025> }
			object { IPN_escalier( 1.20, 0.05, 0.30, 0.10 ) translate <-4.20,-1.20,0-0.025> rotate <0,180,0>}
			object { IPN_escalier( 1.20, 0.05, 0.30, 0.10 ) translate <-4.20,-1.20,0.90-0.025> rotate <0,180,0>}
			acier()
		}    
                        
        }
#end



#macro volee_sdb()
        difference
       
        {object
       
                {prism {                                
                linear_sweep  
                linear_spline  
                -1.80,        
                -0.01,       
                24, 
                < 0.025 , 0.00 >, < 1.20  , 0.00 >, < 1.20  , 0.17 >, < 1.50  , 0.17 >,
                < 1.50  , 0.51 >, < 2.10  , 0.51 >, < 2.10  , 1.20 >, < 4.20  , 1.20 >,      
                < 4.20  ,1.175 >, <3.025  ,1.175 >, <3.025  ,1.005 >, <2.725  ,1.005 >,
                <2.725  ,0.835 >, <2.425  ,0.835 >, <2.425  ,0.665 >, <2.125  ,0.665 >,
                <2.125  ,0.495 >, <1.825  ,0.495 >, <1.825  ,0.325 >, <1.525  ,0.325 >,
                <1.525  ,0.155 >, <1.225  ,0.155 >, <1.225 ,-0.025 >, <0.025 ,-0.025 >
               
                _wood()
                rotate <-90, 0, 0>}
                translate <-0.025,0,0>
                
       
        
        
        
        }
        
        }
       
#end


#macro salle_de_bain ()
        union
		{ 
			//object { volee_sdb( ) _wood()}                                                   
			object { volee    ( 1.20, 0.90, 0.30, 0.025 ) _wood() translate <-4.20,-1.20,0> rotate <0,180,0>}         
			translate <0,9.625,0>    
			
		}
		union
		{	object { IPN_escalier( 1.20, 0.05, 0.30, 0.10 ) translate <0,0,0-0.025> }
			object { IPN_escalier( 1.20, 0.05, 0.30, 0.10 ) translate <0,0,0.90-0.025>}
			object { IPN_escalier( 1.20, 0.05, 0.30, 0.10 ) translate <0,0,1.80-0.025> }
			object { IPN_escalier( 1.20, 0.05, 0.30, 0.10 ) translate <-4.20,-1.20,0-0.025> rotate <0,180,0>}
			object { IPN_escalier( 1.20, 0.05, 0.30, 0.10 ) translate <-4.20,-1.20,0.90-0.025> rotate <0,180,0>}
			translate <0, 9.60, 0>
			_wood()
		
		}
        
#end 

    
#macro escalier ()
	union
	{	union
		{	object { unite() translate <0,0.00,0> }
			object { unite() translate <0,2.40,0> }
			object { unite() translate <0,4.80,0> }
			object { unite() translate <0,7.20,0> }
			
		}
		garde_corps( 11.90 )
		translate <0, 0, 0>
	
	      
               
        } 
#end

/////////////////////////////////////////////////////////////////
//DESSIN REGROUPE
/////////////////////////////////////////////////////////////////



#macro plancher ()
        union
        {       escalier()				
                salle_de_bain ()
                planchers ()
        }
#end 

