// ENSAM 2005
// Workshop Infographie du 14/11 au 18/11
// Maison zHome
// fichier scene
#include "macros.inc"
#declare RATIO = 800/400;		// pour une fenetre de largeur x hauteur 
#declare RENDU_FINAL = true;	// false -> rendu rapide et true -> rendu qualite
#include "planchers.inc"		// SALEM Anis, GRAY  Lillian
#include "baies.inc"			// CONIL Clment, BENSAKEL Mohamed
#include "caissons.inc"			// LALA Thibaut, GUIOMAR Carla, CHEZE Vronique, CARNOY Lauren
#include "sanitaires.inc"		// BENCHALLAL Sofiane, LACUSTA Ioana
#include "meubles.inc"			// GHAWAM Mouhcine, LE GRAVEREND Marie
#include "parcours.inc"			// DE HORTA Filipe, GERVAIS Nicolas

#macro zHome()
	union
	{	object { plancher()				translate <0,0,0> rotate <0,0,0> }
		object { tas_baies()			translate <-1.8,2.3,-4.2> rotate <0,90,0> }
		object { caissons() 			translate <-7.8,-1.2,1> rotate <0,180,0> }
		object { salle_de_bain_2()		translate <2.0,9.7,0.9> rotate <0,0,0> }
		object { salon(0,0)  			translate <1.8,7.2,-1.8> rotate <0,180,0> }
		object { salle_a_manger(0,0)  	rotate <0,90,0> translate <5,6,1.8> }
		object { chambre(0,0)  			rotate <0,0,0> translate <-3.6,4.8,1.7> }
		translate <-1.8,0,0>
	}
#end
//	SCENE :
eclairage_standard( 3, 10 )	
fond( 1/4 )
axes()
zHome()							// appel de la macro zHome()
axono( AXO_3, 1/12, <0,6,0> )
/*
// cration d'un parcours vertical :
#local p0 =  0.2;
#local p1 = 14.00;
#local q0 =  3.00;
#local q1 = 7.00;
#local tt = clock;
pers( <0,(1-tt)*p0+tt*p1,10>, <0,(1-tt)*q0+tt*q1,0> )
*/

/*
// cration d'un parcours complexe :
#local tt = clock;	//0.21;
#local spline_oeil = points_spline( oeil, 1, true, 100 )
#local spline_cible = points_spline( cible, 1, true, 100 )
#local N = dimension_size( spline_oeil, 1 );
#local p0 = spline_oeil[ tt * (N-1) ];
#local N = dimension_size( spline_cible, 1 );
#local p1 = spline_cible[ tt * (N-1) ];

#declare COURBE = false;
// affichage des points clef
object { tracer_courbe( spline_oeil, 0.01, COURBE ) ma_texture( <1,0,0>, 0 ) rotate <0,180,0> }
object { tracer_courbe( spline_cible, 0.01, COURBE ) ma_texture( <0,1,0>, 0 ) rotate <0,180,0> }
// affichage d'un point :
//object { sphere { p0, 0.3 } ma_texture( <1,0,0>, 0 ) rotate <0,180,0> }
//object { sphere { p1, 0.3 } ma_texture( <0,1,0>, 0 ) rotate <0,180,0> }

//pers( p0+<0,0.00,0>, p1 )
*/

